List client payment methods
curl --request GET \
--url https://api.conduit.financial/clients/{id}/payment-methods \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://api.conduit.financial/clients/{id}/payment-methods"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://api.conduit.financial/clients/{id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bank_1234",
"type": "bank",
"rail": [
"fedwire"
],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"status": "enabled",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"entity": {
"id": "cp_1234567890123456789012345",
"name": "Mark Davis",
"entityType": "individual",
"complianceEntityType": "counterparty"
}
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Clients
List client payment methods
List payment methods for a client
GET
/
clients
/
{id}
/
payment-methods
List client payment methods
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Client ID
Pattern:
^client_[a-zA-Z0-9]{27}$Example:
"client_2ofTA13AD0xBtbEvBl20aEb1hEu"
Response
List of payment methods
- Bank Payment Method Response
- Option 2
Show child attributes
Show child attributes
Example:
{
"id": "bank_1234",
"type": "bank",
"rail": ["fedwire"],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"status": "enabled",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"entity": {
"id": "cp_1234567890123456789012345",
"name": "Mark Davis",
"entityType": "individual",
"complianceEntityType": "counterparty"
}
}
⌘I

